<?
include 'config.php';
include 'func.php';
head();

if($error){
echo $error;

}else{
    echo "<div class=\"head\"><b>Админка</b></div><div class=\"main\">";  
/////////////////////////////
switch ($_GET['act']) {
    default:
    
    if (empty($_POST['submit'])) {
    echo "<form enctype='multipart/form-data' action='test2.php' method='post'>";
			echo 'Выберите смайл для загрузки:<br/>';
			echo "<input type='file' name='file'/><br/>\n";
			echo 'Название:<br />';
			echo "<input name='name' maxlength='100'/><br />\n";
			echo 'Название1:<br />';
			echo "<input name='name1' maxlength='100'/><br />\n";
			echo 'Название2:<br />';
			echo "<input name='name2' maxlength='100'/><br />\n";
			echo 'Название3:<br />';
			echo "<input name='name3' maxlength='100'/><br />\n";
			echo 'Категория:<br/>';
			echo '<select name="cat">';
	$smile = mysql_query("SELECT * FROM smile_cat");
	while($sm = mysql_fetch_assoc($smile)){
			echo '<option value="'.$sm['id'].'">'.$sm['name'].'</option>';
			}
			echo '</select><br />';
			echo 'Уровень доступа, кому доступен будет смайл:<br/>';
			echo '<select name="lev">';
	for($i=0;$i<8;$i++){
			echo '<option value="'.$i.'">'.$i.'</option>';
			}
			echo '</select><br />';
            
			echo "<input type='submit' name='submit' value='Добавить'/></form><br/>";
   } else {
  	$name = html($_POST['name']);
	$name1= html($_POST['name1']);
	$name2= html($_POST['name2']);
	$name3= html($_POST['name3']);
	$cat  = abs((int)$_POST['cat']);
	$lev  = abs((int)$_POST['lev']);
    
$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];
if(!empty($file))
{
ini_set('memory_limit', '32M');
$maxsize = "102800000";
$extentions = array("jpeg","jpg","png","gif");
$size = filesize ($_FILES['file']['tmp_name']);
$type = strtolower(substr($filename, 1+strrpos($filename,".")));
$new_name = 'file-'.time().'.'.$type;



if($size > $maxsize)
{
echo "Файл больше 100 мб. Уменьшите размер вашего файла или загрузите другой. <br><a href='' onClick=window.close();>Закрыть окно</a>";
}

elseif($type=='php')
{
echo 'Попытка взлома. Вы забанены по связке ID+IP+Soft. Ваши данные отправлены администратору.<br>';

$theme = 'Попытка взлома';
$msg = 'Пользователь '.$login_session.' (ID '.$id_session.') пытался загрузить файл с расширением '.$type.'.';

mysql_query("INSERT INTO `mail` SET `theme` = '".$theme."', `msg` = '".$msg."', `komu` = '1', `ot_id` = '2', `ot_login` = '[Система]', `status` = '1', `date` = '".$date."'");

mysql_query("INSERT INTO `ban_list` SET `id_user` = '$id_session', `login` = '$login_session', `ip` = '$ip', `brauser` = '$brauser' ");
}

elseif(!in_array($type,$extentions))
{
echo 'Файл имеет недопустимое расширение<br>';
}
else
{

if (copy($file, "smiles/".$new_name))
{

echo "Файл загружен!<br>";

    mysql_query("INSERT INTO `smiles` SET `name` = '".$name."', `name1` = '".$name1."', `name2` = '".$name2."', `name3` = '".$name3."', `cat` = '".$cat."', `lev` = '".$lev."', `date` = '".time()."', `smile` = '".$new_name."'");
   } else {
    echo 'error';
   }
   
}
}
}   
echo '<br/> .: <a href="?act=add_cat">Создать каталог</a><br/>';
echo ' .: <a href="?act=edit_cat">Редактировать каталог</a><br/>';
echo ' .: <a href="?act=del_cat">Удалить каталог</a><br/>';
            break;
            
case 'add_cat':
if (empty($_POST['submit'])) {
echo '<form action="test2.php?act=add_cat" method="post" name="form">';
echo 'Название:<br />';
echo "<input name='name' maxlength='100'/><br />\n";
echo '<input name="submit" type="submit" class="button" value="Создать" /></form></div>';
} else {
    $name = html($_POST['name']);
    mysql_query("INSERT INTO `smile_cat` SET `name` = '".$name."'");
}
break;

case 'smiles':

if (empty($_GET['cat'])) {
    $smile = mysql_query("SELECT * FROM smile_cat");
	while($a = mysql_fetch_assoc($smile)){
	   echo '<a href="test2.php?act=smiles&cat='.$a['id'].'">'.$a[name].'</a><br/>';
       }
} else {
        $smile2 = mysql_query("SELECT * FROM smiles WHERE `cat` = '".num($_GET['cat'])."'");
	while($b = mysql_fetch_assoc($smile2)){
	   echo '<img src="/s/'.$b['smile'].'" alt="."/> '.$b['name'].' '.$b['name1'].' '.$b['name2'].' '.$b['name3'].'<br/>';
       }
}
break;

case 'edit_cat':
if (empty($_GET['cat'])) {
$smile = mysql_query("SELECT * FROM smile_cat");
	while($sm = mysql_fetch_assoc($smile)){
			echo '<a href="test2.php?act=edit_cat&cat='.$sm['id'].'">'.$sm[name].'</a><br/>';
	}
 } else {
    $cat = num($_GET['cat']);
    $result = mysql_fetch_assoc(mysql_query("SELECT * FROM smile_cat WHERE `id` = '".$cat."'"));
    if (empty($_POST['submit'])) {
        echo '<form action="test2.php?act=edit_cat&cat='.$result['id'].'" method="post" name="form">';
        echo 'Название:<br />';
        echo "<input name='name' value = '".$result['name']."'maxlength='100'/><br />\n";
        echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form></div>';
        } else {
            $name = html($_POST['name']);
            $cat = num($_GET['cat']);
            $res = mysql_query("UPDATE `smile_cat` SET `name` = '".$name."' WHERE `id` = '".$cat."'");
            if ($res != NULL) {
                echo 'Каталог успешно изменен<br.>';
            } else {
                echo 'Возникла ошибка<br/>';
            }
        }
 }
break;

case 'del_cat':
if (empty($_GET['cat'])) {
$smile = mysql_query("SELECT * FROM smile_cat");
	while($sm = mysql_fetch_assoc($smile)){
			echo '<a href="test2.php?act=del_cat&cat='.$sm['id'].'">'.$sm[name].'</a><br/>';
	}
 } else {
    
            $cat = num($_GET['cat']);
            $result = mysql_query("DELETE FROM `smile_cat` WHERE `id` = '".$cat."'");
            if ($result != NULL) {
                echo 'Каталог успешно удален<br.>';
            } else {
                echo 'Возникла ошибка<br/>';
            }
        }
 
break;
   }
   
//////////////////////////////
}
echo '</div>';
navig();
foot();
?>